name: flutterquiz
description: A new Flutter application.
publish_to: "none"
version: 2.3.1+50

# Release Version: 2.3.1 (do not remove or edit this)
environment:
  sdk: '>=3.6.0 <4.0.0'

dependencies:
  cached_network_image: ^3.4.1
  cloud_firestore: ^5.6.5
  connectivity_plus: ^6.1.3
  country_code_picker: ^3.2.0
  dotted_border: ^2.1.0
  encrypt: ^5.0.3
  firebase_analytics: ^11.4.4
  firebase_auth: ^5.5.1
  firebase_core: ^3.12.1
  firebase_messaging: ^15.2.4
  flutter:
    sdk: flutter
  flutter_bloc: ^9.1.0
  flutter_cached_pdfview: ^0.4.3
  flutter_local_notifications: ^18.0.1
  flutter_pdfview: ^1.4.0
  flutter_svg: ^2.0.10+1
  flutter_tex: 4.0.9
  flutter_timezone: ^4.1.0
  flutter_widget_from_html: ^0.16.0
  google_fonts: ^6.2.1
  google_mobile_ads: ^5.3.1
  google_sign_in: ^6.2.2
  hive_flutter: ^1.1.0
  http: ^1.3.0
  iabtcf_consent_info: ^3.4.0
  image_cropper: ^9.0.0
  image_picker: ^1.1.2
  in_app_purchase: ^3.2.1
  in_app_purchase_android: ^0.4.0
  internet_connection_checker: ^3.0.1
  intl: ^0.20.2
  just_audio: ^0.9.46
  lottie: ^3.3.1
  package_info_plus: ^8.3.0
  path_provider: ^2.1.5
  permission_handler: ^11.4.0
  pin_code_fields: ^8.0.1
  scratcher: ^2.5.0
  screenshot: ^3.0.0
  share_plus: ^10.1.4
  shared_preferences: ^2.5.2 # TODO(J): remove this dependency, and use hive instead
  sign_in_with_apple: ^6.1.4
  unity_ads_plugin: ^0.3.23
  url_launcher: ^6.3.1
  wakelock_plus: ^1.2.10
  youtube_player_flutter: ^9.1.1

dev_dependencies:
  change_app_package_name: ^1.5.0
  dart_code_metrics_presets: ^2.21.0
  flutter_launcher_icons: ^0.14.3
  very_good_analysis: ^7.0.0

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/images/ic_launcher.png"

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/images/profile/

    - assets/images/emojis/

    - assets/animations/

    - assets/sounds/
    - assets/files/
